Subject: Ticket Assigned - Landmark Group
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Mon, 04 Oct 2021 16:16:19 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Landmark Group I am ordering on Babyshop and payment cut from my bank account
but the page comes in error.  on order # 8106067118
I am checked with my Bank. The amount was deducted and they send me a bank statement I forward to the Babyshop support team. but they denied it. please check and process the order or give me back my money. Thanks https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3184803